org.springframework.aop

## Interface MethodBeforeAdvice

- All Superinterfaces:
    Advice, BeforeAdvice
  All Known Implementing Classes:
    AspectJMethodBeforeAdvice

      public interface MethodBeforeAdvice
      extends BeforeAdvice

  Advice invoked before a method is invoked. Such advices cannot prevent the method call proceeding, unless they throw a Throwable.
  Author:
    Rod Johnson
  See Also:
    `AfterReturningAdvice`, `ThrowsAdvice`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `before(Method method, Object[] args, Object target)` Callback before a given method is invoked.

- - ### Method Detail

    - #### before

          void before(Method method,
                    Object[] args,
                    Object target)
                      throws Throwable

      Callback before a given method is invoked.
      Parameters:
        `method` - method being invoked
        `args` - arguments to the method
        `target` - target of the method invocation. May be `null`.
      Throws:
        `Throwable` - if this object wishes to abort the call. Any exception thrown will be returned to the caller if it's allowed by the method signature. Otherwise the exception will be wrapped as a runtime exception.